listGet transaction

GET https://api.agilizepay.com/pix/{txid}

SUMMARY:

access_token= Access token code generated by authentication

CLIENT_ID = Your client_id can be found within the dashboard.

header
{ 
    'client_id: {CLIENT_ID}',
    'accept': 'application/json',
    'Authorization': "Bearer {access_token}"
}
Query Params
{ 
    'txid': string
}
chevron-right 🟒 200 - Successfullyhashtag

Response body

{
  "txid": string,
  "status": 'pendente' : 'efetivado' : 'expirado' : 'cancelado',
  "pixCopiaECola": string,
  "qrCode": string,
  "endToEnd": string,
  "paid_by": string,
  "paid_by_tax_id": string,
  "paid_amount": 10.2,
  "tax_amount": 0.1,
  "url_checkout": string
}
chevron-rightπŸ”΄400 - Bad requesthashtag

chevron-rightπŸ”΄401 - Unauthorizedhashtag

chevron-rightπŸ”΄500 - Internal server errorhashtag

Last updated